#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "GraphicsAPI.h"

static bool FirstTime = true;

float RandomNumber(float range)
{
	if (FirstTime) {
    	srand( (unsigned)time( NULL ) );
		FirstTime = false;
	}
 	
	return range * float(rand()) / float(RAND_MAX);
}

float RandomNumber(float minRange, float maxRange)
{
	float size = maxRange - minRange;
	return minRange + RandomNumber(size);
}

void RandomTriple(float minRange, float maxRange, D3DXVECTOR3 &c)
{
	c.x = RandomNumber(minRange, maxRange);
	c.y = RandomNumber(minRange, maxRange);
	c.z = RandomNumber(minRange, maxRange);
}
