#ifndef TDRAWABLE_OBJECT_H
#define TDRAWABLE_OBJECT_H

#include "TgraphicsObject.h"


class TdrawableObject : public TgraphicsObject {
	private:
		void InitializeDrawableObject();

	protected:
		//
		// WORD ShadedMode;		// shaded mode (we will see, this is useful for points also!!)
		SimpleObjAttr(WORD, ShadedMode)
								// possible modes: D3DSHADE_: FLAT or GOURAUD

		BoolObjAttr(ShowNormalVectors)
	protected:
		

		//
		// Override methods from TgraphicsObject ....
		//
		virtual void SetObjectD3DAttributes(Td3dDrawable&);

	public:
			
		TdrawableObject();

		virtual void SetDrawColor(const D3DXCOLOR&);
		/////////////////////////////////////////////////////////////////////////////////
		// Notice: the way we have things set up with the function and attributes names
		//  	   we have override  TgraphicsObject's following functions
		//
		//	virtual void SetShadeMode(WORD)
		//	

};

#endif
