#include "TfileTexture.h"

TfileTexture::~TfileTexture()
{
}

TfileTexture::TfileTexture(LPDIRECT3DDEVICE9 pd3dDevice) : Ttexture(pd3dDevice)
{
}

TfileTexture::TfileTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char *path, const char* filename) : Ttexture(pd3dDevice)
{
	fTexture = NULL;
	LoadTexture(pd3dDevice, path, filename);
}

BOOL TfileTexture::LoadTexture(LPDIRECT3DDEVICE9 pd3dDevice, const char *path, const char* filename) 
{
	CString fullName;
	fullName.Format("%s/%s", path, filename);

	fD3dDevice = pd3dDevice;
	HRESULT hr;
	if( FAILED( hr = D3DXCreateTextureFromFile(fD3dDevice, fullName.GetBuffer(0), &fTexture ) ) )
	{
		fTexture = NULL;
		fD3dDevice = NULL;
		return FALSE;
	}
	return TRUE;
}
