#include "TaxisFrame.h"

TaxisFrame::TaxisFrame()
{
	D3DXCOLOR r(1, 0, 0, 0);
	D3DXCOLOR g(0, 1, 0, 0);
	D3DXCOLOR b(0, 0, 1, 0);

	fXAxis.SetArrowColor(r, r);
	fXAxis.SetRotation(0, 0, -M_PI/2.0);
	fXAxis.DisableArrowLighting();

	fYAxis.SetArrowColor(g, g);
	fYAxis.DisableArrowLighting();

	fZAxis.SetArrowColor(b, b);
	fZAxis.SetRotation(M_PI/2.0, 0, 0);
	fZAxis.DisableArrowLighting();
}

void TaxisFrame::DrawObjectGeom(
	Td3dDrawable &d,
	LPDIRECT3DDEVICE9
)
{
	fXAxis.DrawObject(d);
	fYAxis.DrawObject(d);
	fZAxis.DrawObject(d);
}
