#ifndef TFILLABLE_H
#define TFILLABLE_H

#include "TdrawableObject.h"

	//
	//
	// 		virtual fillable object
	//
class Tfillable : public TdrawableObject {

	private:
		void InitializeFillableObject();

	protected:
		//
		// WORD FillMode;		// fill mode (useless for non-area primitives)
		SimpleObjAttr(WORD, FillMode)
								// possible modes: D3DILL_: POINT or WIREFRAME or SOLID

		SimpleObjAttr(int,	TextureIndex)
								// texture index into the Td3dDrawable fFileTexture library

		BoolObjAttr(AlphaBlending)
								// if we should switch on alpha blending

		BoolObjAttr(ShowNormal)
		BoolObjAttr(ShowTexture)

	protected:
		//
		// Override methods
		// from TgraphicsObject and TdrawableObject ...
		//
		virtual void SetObjectD3DAttributes(Td3dDrawable&);
		virtual void UnsetObjectD3DAttributes( Td3dDrawable&);

	public:
		Tfillable();
		
		/////////////////////////////////////////////////////////////////////////////////
		// Notice: the way we have things set up with the function and attributes names
		//  	   we have override  TgraphicsObject's following functions
		//
		//	virtual void SetFillMode(WORD)
		//	
};

#endif
