#ifndef T_MESH
#define T_MESH

#include "Tfillable.h"
#include "../Collections/TmeshLibrary.h"

class Tmesh : public Tfillable {
	private:
			TmeshObjectIndex fMeshIndex;

	protected:
			//
			// from TgraphicsObject
			virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);

			virtual bool RayPickObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9, const D3DXVECTOR3&, const D3DXVECTOR3&);

	public:
		


		Tmesh();
		Tmesh(TmeshObjectIndex i);

		void SetMeshIndex(TmeshObjectIndex i);
};

#endif
