#include "TpointLight.h"

TpointLight::TpointLight(int id) : Tlight(id)
{
	SetToPointLight();
	fSphere.SetMeshIndex(eSphereMesh);
	fSphere.DisableLighting();
}

void TpointLight::DrawObjectGeom(
	Td3dDrawable &d,
	LPDIRECT3DDEVICE9
)
{
	D3DXCOLOR c;
	fMaterial.GetDiffuse(c);
	Tmaterial &mt = fSphere.GetMaterial();
	mt.SetEmissive(c);

	fSphere.DrawObject(d);
}
